package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.SocialSafety;
import com.lightinit.hsdatashow.entity.SocialSafetyExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SocialSafetyMapper {
    long countByExample(SocialSafetyExample example);

    int deleteByExample(SocialSafetyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SocialSafety record);

    int insertSelective(SocialSafety record);

    List<SocialSafety> selectByExample(SocialSafetyExample example);

    SocialSafety selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SocialSafety record, @Param("example") SocialSafetyExample example);

    int updateByExample(@Param("record") SocialSafety record, @Param("example") SocialSafetyExample example);

    int updateByPrimaryKeySelective(SocialSafety record);

    int updateByPrimaryKey(SocialSafety record);
}